From 2493ede868202cc4c32a89b612cec6f57d07d7e4 Mon Sep 17 00:00:00 2001
From: Z. Ren <zren@dlut.edu.cn>
Date: Tue, 8 Aug 2017 14:50:35 +0800
Subject: [PATCH] reproducible fix for skalibs

---
 gnu/packages/skarnet.scm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/skarnet.scm b/gnu/packages/skarnet.scm
index 37e09d864..4e7188a4f 100644
--- a/gnu/packages/skarnet.scm
+++ b/gnu/packages/skarnet.scm
@@ -39,7 +39,13 @@
     (build-system gnu-build-system)
     (arguments
      '(#:configure-flags '("--enable-force-devr") ; do not analyze /dev/random
-       #:tests? #f)) ; no tests exist
+       #:tests? #f ; no tests exist
+       #:phases
+       (modify-phases %standard-phases
+        (add-after 'unpack 'reproducible
+         (lambda _
+          (substitute* "Makefile"
+           (("\\$\\(ALL_SRCS:%.c=%.o\\)") "$(sort $(ALL_SRCS:%.c=%.o))")))))))
     (home-page "http://skarnet.org/software/skalibs/")
     (synopsis "Platform abstraction libraries for skarnet.org software")
     (description
-- 
2.11.0

